package com.prolog.cs.biz.inbound.dto.rcv;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 所有收货信息表
 * 
 * @author Xiong
 *
 */
@ApiModel
public class RcvDTO implements Serializable {

	private static final long serialVersionUID = -1039882737836685734L;

	@ApiModelProperty(value = "收货(入库)主表")
	@NotNull(message = "主表model不能为空")
	@Valid
	private RcvHeadersDTO rcvHeadersDTO;

//	@ApiModelProperty(value = "主表图片列表")
//	private List<RcvHeadersPicDTO> rcvHeadersPicDTOList;

	@ApiModelProperty(value = "主表拓展属性")
	private RcvHeadersProfilesDTO rcvHeadersProfilesDTO;

	@ApiModelProperty(value = "收货单对应的源单列表")
	private List<RcvHeadersSrcBillsDTO> rcvHeadersSrcBillsDTOList;

	@ApiModelProperty(value = "收货行明细列表")
	private List<RcvLinesDTO> rcvLinesDTOList;

	public RcvHeadersDTO getRcvHeadersDTO() {
		return rcvHeadersDTO;
	}

	public void setRcvHeadersDTO(RcvHeadersDTO rcvHeadersDTO) {
		this.rcvHeadersDTO = rcvHeadersDTO;
	}

//	public List<RcvHeadersPicDTO> getRcvHeadersPicDTOList() {
//		return rcvHeadersPicDTOList;
//	}
//
//	public void setRcvHeadersPicDTOList(List<RcvHeadersPicDTO> rcvHeadersPicDTOList) {
//		this.rcvHeadersPicDTOList = rcvHeadersPicDTOList;
//	}

	public RcvHeadersProfilesDTO getRcvHeadersProfilesDTO() {
		return rcvHeadersProfilesDTO;
	}

	public void setRcvHeadersProfilesDTO(RcvHeadersProfilesDTO rcvHeadersProfilesDTO) {
		this.rcvHeadersProfilesDTO = rcvHeadersProfilesDTO;
	}

	public List<RcvHeadersSrcBillsDTO> getRcvHeadersSrcBillsDTOList() {
		return rcvHeadersSrcBillsDTOList;
	}

	public void setRcvHeadersSrcBillsDTOList(List<RcvHeadersSrcBillsDTO> rcvHeadersSrcBillsDTOList) {
		this.rcvHeadersSrcBillsDTOList = rcvHeadersSrcBillsDTOList;
	}

	public List<RcvLinesDTO> getRcvLinesDTOList() {
		return rcvLinesDTOList;
	}

	public void setRcvLinesDTOList(List<RcvLinesDTO> rcvLinesDTOList) {
		this.rcvLinesDTOList = rcvLinesDTOList;
	}

}
